config:socks

NAME
config:socks - Enable and configure SOCKS.

SYNOPSIS
config:socks [options]

DESCRIPTION
You use the config:socks command to enable the SOCKS option and configure SOCKS parameters, including default servers, version, and port values.

OPTIONS
The following options are supported for the config:socks command:

  status <on | off>
Enables (on) or disables (off) the SOCKS option. (The default value is disabled.)

  version <integer>
Specifies the SOCKS version number.

  default-servers <string>
Specifies the IP address of the SOCKS server.

  accept <on | off>
Specifies whether SOCKS accept is on or off.

  accept-port <integer>
Specifies the port used by the proxy to communicate with the SOCKS server. (The default value is 1080.)

EXAMPLES

  Example 1. Enabling the SOCKS option

traffic_shell> config:socks mode on
traffic_shell>

  Example 2. Specifying the SOCKS server IP address

traffic_shell> config:socks server-ip 209.1.1.1
traffic_shell>

  Example 3. Specifying the port used by the proxy to communicate with the SOCKS server

traffic_shell> config:socks port 1080
traffic_shell>

  Example 4. Specifying the timeout duration for the proxy to wait for a SOCKS server response

traffic_shell> config:socks timeout 100
traffic_shell>

SEE ALSO
show:socks